<!-- BREADCRUMB -->
<div class="section" id="breadcrumb">
    <!-- container -->
    <div class="container">
      <!-- row -->
      <div class="row">
        <div class="col-md-12">
          <ul class="breadcrumb-tree">
            <li><a href="#">Home</a></li>
            <li><a href="#">All Categories</a></li>
            <li><a href="#">Accessories</a></li>
            <li><a href="#">{{product.category}}</a></li>
            <li class="active">{{product.title}}</li>
          </ul>
        </div>
      </div>
      <!-- /row -->
    </div>
    <!-- /container -->
  </div>
  <!-- /BREADCRUMB -->
  
  <!-- SECTION -->
  <div class="section">
    <!-- container -->
    <div class="container">
      <!-- row -->
      <div class="row d-flex">
        <!-- Product main img -->
        <div class="col-md-5 col-md-push-2">
          <div id="product-main-img">
            <ng-template [ngIf]="thumbimages.length === 0">
              <div class="product-preview">
                <img [src]="product.image" alt="">
              </div>
            </ng-template>
            <ng-template [ngIf]="thumbimages.length > 0">
              <div class="product-preview" *ngFor="let t of thumbimages">
                <img [src]="t" alt="">
              </div>
            </ng-template>
          </div>
        </div>
        <!-- /Product main img -->
  
        <!-- Product thumb imgs -->
        <div class="col-md-2  col-md-pull-5 ">
         <ng-template [ngIf]="thumbimages.length > 0">
           <div id="product-imgs">
             <div *ngFor="let t of thumbimages" class="product-preview">
               <img [src]="t" alt="">
             </div>
           </div>
         </ng-template>
          <ng-template [ngIf]="thumbimages.length === 0">
            <div id="product-imgs">
              <div class="product-preview">
                <img [src]="product.image" alt="">
              </div>
            </div>
          </ng-template>
        </div>
        <!-- /Product thumb imgs -->
  
        <!-- Product details -->
        <div class="col-md-5">
          <div class="product-details">
            <h2 class="product-name">{{product?.name}}</h2>
            <div>
              <div class="product-rating">
                <i class="fa fa-star"></i>
                <i class="fa fa-star"></i>
                <i class="fa fa-star"></i>
                <i class="fa fa-star"></i>
                <i class="fa fa-star-o"></i>
              </div>
              <a class="review-link" href="#">10 Review(s) | Add your review</a>
            </div>
            <div>
              <h3 class="product-price">{{product?.price | currency:'USD'}} </h3>
              <span class="product-available">In Stock</span>
            </div>
            <p>{{product?.description}}</p>
  
  
            <div class="add-to-cart">
              <div class="qty-label">
                Qty
                <div class="input-number">
                  <input #quantity [max]="product?.quantity" [min]="product?.quantity >= 1 ? product?.quantity : 0"
                         readonly type="number" value="{{product?.quantity >= 1 ? 1 : 0}}">
                  <span (click)="Increase()" class="qty-up">+</span>
                  <span (click)="Decrease()" class="qty-down">-</span>
                </div>
              </div>
              <button (click)="addToCart(product?.id)" *ngIf="product?.quantity >= 1" class="add-to-cart-btn"><i
                class="fa fa-shopping-cart"></i>Add To Cart
              </button>
            </div>
  
            <ul class="product-links">
              <li>Category:</li>
              <li><a href="#">{{product?.category}}</a></li>
            </ul>
  
            <ul class="product-links">
              <li>Share:</li>
              <li><a href="#"><i class="fa fa-facebook"></i></a></li>
              <li><a href="#"><i class="fa fa-twitter"></i></a></li>
              <li><a href="#"><i class="fa fa-google-plus"></i></a></li>
              <li><a href="#"><i class="fa fa-envelope"></i></a></li>
            </ul>
  
          </div>
        </div>
        <!-- /Product details -->
  
        <!-- Product tab -->
        <div class="col-md-12">
          <div id="product-tab">
            <!-- product tab nav -->
            <ul class="tab-nav" role="tablist">
              <li class="active" role="presentation"><a data-toggle="tab" href="#tab1" role="tab">Description</a></li>
              <li role="presentation"><a data-toggle="tab" href="#tab2" role="tab">Details</a></li>
              <li role="presentation"><a data-toggle="tab" href="#tab3" role="tab">Reviews (3)</a></li>
            </ul>
            <!-- /product tab nav -->
  
            <!-- product tab content -->
            <div class="tab-content">
              <!-- tab1  -->
              <div class="tab-pane fade in active" id="tab1" role="tabpanel">
                <div class="row">
                  <div class="col-md-12">
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut
                      labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris
                      nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit
                      esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
                      culpa qui officia deserunt mollit anim id est laborum.</p>
                  </div>
                </div>
              </div>
              <!-- /tab1  -->
  
              <!-- tab2  -->
              <div class="tab-pane fade in" id="tab2" role="tabpanel">
                <div class="row">
                  <div class="col-md-12">
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut
                      labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris
                      nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit
                      esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
                      culpa qui officia deserunt mollit anim id est laborum.</p>
                  </div>
                </div>
              </div>
              <!-- /tab2  -->
  
              <!-- tab3  -->
              <div class="tab-pane fade in" id="tab3" role="tabpanel">
                <div class="row">
                  <!-- Rating -->
                  <div class="col-md-3">
                    <div id="rating">
                      <div class="rating-avg">
                        <span>4.5</span>
                        <div class="rating-stars">
                          <i class="fa fa-star"></i>
                          <i class="fa fa-star"></i>
                          <i class="fa fa-star"></i>
                          <i class="fa fa-star"></i>
                          <i class="fa fa-star-o"></i>
                        </div>
                      </div>
                      <ul class="rating">
                        <li>
                          <div class="rating-stars">
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star"></i>
                          </div>
                          <div class="rating-progress">
                            <div style="width: 80%;"></div>
                          </div>
                          <span class="sum">3</span>
                        </li>
                        <li>
                          <div class="rating-stars">
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star-o"></i>
                          </div>
                          <div class="rating-progress">
                            <div style="width: 60%;"></div>
                          </div>
                          <span class="sum">2</span>
                        </li>
                        <li>
                          <div class="rating-stars">
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star-o"></i>
                            <i class="fa fa-star-o"></i>
                          </div>
                          <div class="rating-progress">
                            <div></div>
                          </div>
                          <span class="sum">0</span>
                        </li>
                        <li>
                          <div class="rating-stars">
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star-o"></i>
                            <i class="fa fa-star-o"></i>
                            <i class="fa fa-star-o"></i>
                          </div>
                          <div class="rating-progress">
                            <div></div>
                          </div>
                          <span class="sum">0</span>
                        </li>
                        <li>
                          <div class="rating-stars">
                            <i class="fa fa-star"></i>
                            <i class="fa fa-star-o"></i>
                            <i class="fa fa-star-o"></i>
                            <i class="fa fa-star-o"></i>
                            <i class="fa fa-star-o"></i>
                          </div>
                          <div class="rating-progress">
                            <div></div>
                          </div>
                          <span class="sum">0</span>
                        </li>
                      </ul>
                    </div>
                  </div>
                  <!-- /Rating -->
  
                  <!-- Reviews -->
                  <div class="col-md-6">
                    <div id="reviews">
                      <ul class="reviews">
                        <li>
                          <div class="review-heading">
                            <h5 class="name">John</h5>
                            <p class="date">27 DEC 2018, 8:0 PM</p>
                            <div class="review-rating">
                              <i class="fa fa-star"></i>
                              <i class="fa fa-star"></i>
                              <i class="fa fa-star"></i>
                              <i class="fa fa-star"></i>
                              <i class="fa fa-star-o empty"></i>
                            </div>
                          </div>
                          <div class="review-body">
                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt
                              ut labore et dolore magna aliqua</p>
                          </div>
                        </li>
                        <li>
                          <div class="review-heading">
                            <h5 class="name">John</h5>
                            <p class="date">27 DEC 2018, 8:0 PM</p>
                            <div class="review-rating">
                              <i class="fa fa-star"></i>
                              <i class="fa fa-star"></i>
                              <i class="fa fa-star"></i>
                              <i class="fa fa-star"></i>
                              <i class="fa fa-star-o empty"></i>
                            </div>
                          </div>
                          <div class="review-body">
                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt
                              ut labore et dolore magna aliqua</p>
                          </div>
                        </li>
                        <li>
                          <div class="review-heading">
                            <h5 class="name">John</h5>
                            <p class="date">27 DEC 2018, 8:0 PM</p>
                            <div class="review-rating">
                              <i class="fa fa-star"></i>
                              <i class="fa fa-star"></i>
                              <i class="fa fa-star"></i>
                              <i class="fa fa-star"></i>
                              <i class="fa fa-star-o empty"></i>
                            </div>
                          </div>
                          <div class="review-body">
                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt
                              ut labore et dolore magna aliqua</p>
                          </div>
                        </li>
                      </ul>
                      <ul class="reviews-pagination">
                        <li class="active">1</li>
                        <li><a href="#">2</a></li>
                        <li><a href="#">3</a></li>
                        <li><a href="#">4</a></li>
                        <li><a href="#"><i class="fa fa-angle-right"></i></a></li>
                      </ul>
                    </div>
                  </div>
                  <!-- /Reviews -->
  
                  <!-- Review Form -->
                  <div class="col-md-3">
                    <div id="review-form">
                      <form class="review-form">
                        <input class="input" placeholder="Your Name" type="text">
                        <input class="input" placeholder="Your Email" type="email">
                        <textarea class="input" placeholder="Your Review"></textarea>
                        <div class="input-rating">
                          <span>Your Rating: </span>
                          <div class="stars">
                            <input id="star5" name="rating" type="radio" value="5"><label for="star5"></label>
                            <input id="star4" name="rating" type="radio" value="4"><label for="star4"></label>
                            <input id="star3" name="rating" type="radio" value="3"><label for="star3"></label>
                            <input id="star2" name="rating" type="radio" value="2"><label for="star2"></label>
                            <input id="star1" name="rating" type="radio" value="1"><label for="star1"></label>
                          </div>
                        </div>
                        <button class="primary-btn">Submit</button>
                      </form>
                    </div>
                  </div>
                  <!-- /Review Form -->
                </div>
              </div>
              <!-- /tab3  -->
            </div>
            <!-- /product tab content  -->
          </div>
        </div>
        <!-- /product tab -->
      </div>
      <!-- /row -->
    </div>
    <!-- /container -->
  </div>
  <!-- /SECTION -->
  
  <!-- Section -->
  <div class="section">
    <!-- container -->
    <div class="container">
      <!-- row -->
      <div class="row">
  
        <div class="col-md-12">
          <div class="section-title text-center">
            <h3 class="title">Related Products</h3>
          </div>
        </div>
  
        <!-- product -->
        <div class="col-md-3 col-xs-6">
          <div class="product">
            <div class="product-img">
              <img alt="" src="assets/img/product01.png">
              <div class="product-label">
                <span class="sale">-30%</span>
              </div>
            </div>
            <div class="product-body">
              <p class="product-category">Category</p>
              <h3 class="product-name"><a href="#">product name goes here</a></h3>
              <h4 class="product-price">$980.00
                <del class="product-old-price">$990.00</del>
              </h4>
              <div class="product-rating">
              </div>
              <div class="product-btns">
                <button class="add-to-wishlist"><i class="fa fa-heart-o"></i><span class="tooltipp">add to wishlist</span>
                </button>
                <button class="add-to-compare"><i class="fa fa-exchange"></i><span class="tooltipp">add to compare</span>
                </button>
                <button class="quick-view"><i class="fa fa-eye"></i><span class="tooltipp">quick view</span></button>
              </div>
            </div>
            <div class="add-to-cart">
              <button class="add-to-cart-btn"><i class="fa fa-shopping-cart"></i> add to cart</button>
            </div>
          </div>
        </div>
        <!-- /product -->
  
        <!-- product -->
        <div class="col-md-3 col-xs-6">
          <div class="product">
            <div class="product-img">
              <img alt="" src="assets/img/product02.png">
              <div class="product-label">
                <span class="new">NEW</span>
              </div>
            </div>
            <div class="product-body">
              <p class="product-category">Category</p>
              <h3 class="product-name"><a href="#">product name goes here</a></h3>
              <h4 class="product-price">$980.00
                <del class="product-old-price">$990.00</del>
              </h4>
              <div class="product-rating">
                <i class="fa fa-star"></i>
                <i class="fa fa-star"></i>
                <i class="fa fa-star"></i>
                <i class="fa fa-star"></i>
                <i class="fa fa-star"></i>
              </div>
              <div class="product-btns">
                <button class="add-to-wishlist"><i class="fa fa-heart-o"></i><span class="tooltipp">add to wishlist</span>
                </button>
                <button class="add-to-compare"><i class="fa fa-exchange"></i><span class="tooltipp">add to compare</span>
                </button>
                <button class="quick-view"><i class="fa fa-eye"></i><span class="tooltipp">quick view</span></button>
              </div>
            </div>
            <div class="add-to-cart">
              <button class="add-to-cart-btn"><i class="fa fa-shopping-cart"></i> add to cart</button>
            </div>
          </div>
        </div>
        <!-- /product -->
  
        <div class="clearfix visible-sm visible-xs"></div>
  
        <!-- product -->
        <div class="col-md-3 col-xs-6">
          <div class="product">
            <div class="product-img">
              <img alt="" src="assets/img/product03.png">
            </div>
            <div class="product-body">
              <p class="product-category">Category</p>
              <h3 class="product-name"><a href="#">product name goes here</a></h3>
              <h4 class="product-price">$980.00
                <del class="product-old-price">$990.00</del>
              </h4>
              <div class="product-rating">
                <i class="fa fa-star"></i>
                <i class="fa fa-star"></i>
                <i class="fa fa-star"></i>
                <i class="fa fa-star"></i>
                <i class="fa fa-star-o"></i>
              </div>
              <div class="product-btns">
                <button class="add-to-wishlist"><i class="fa fa-heart-o"></i><span class="tooltipp">add to wishlist</span>
                </button>
                <button class="add-to-compare"><i class="fa fa-exchange"></i><span class="tooltipp">add to compare</span>
                </button>
                <button class="quick-view"><i class="fa fa-eye"></i><span class="tooltipp">quick view</span></button>
              </div>
            </div>
            <div class="add-to-cart">
              <button class="add-to-cart-btn"><i class="fa fa-shopping-cart"></i> add to cart</button>
            </div>
          </div>
        </div>
        <!-- /product -->
  
        <!-- product -->
        <div class="col-md-3 col-xs-6">
          <div class="product">
            <div class="product-img">
              <img alt="" src="assets/img/product04.png">
            </div>
            <div class="product-body">
              <p class="product-category">Category</p>
              <h3 class="product-name"><a href="#">product name goes here</a></h3>
              <h4 class="product-price">$980.00
                <del class="product-old-price">$990.00</del>
              </h4>
              <div class="product-rating">
              </div>
              <div class="product-btns">
                <button class="add-to-wishlist"><i class="fa fa-heart-o"></i><span class="tooltipp">add to wishlist</span>
                </button>
                <button class="add-to-compare"><i class="fa fa-exchange"></i><span class="tooltipp">add to compare</span>
                </button>
                <button class="quick-view"><i class="fa fa-eye"></i><span class="tooltipp">quick view</span></button>
              </div>
            </div>
            <div class="add-to-cart">
              <button class="add-to-cart-btn"><i class="fa fa-shopping-cart"></i> add to cart</button>
            </div>
          </div>
        </div>
        <!-- /product -->
  
      </div>
      <!-- /row -->
    </div>
    <!-- /container -->
  </div>
  <!-- /Section -->
  